<!doctype html>
<html lang="es">
    <head>
        <meta charset="utf-8">
        <title>flex-shrink</title>
        <link rel="stylesheet" href="../css/ejemplos.css">
        <style>

            .flex {
                background-color: gray;
                display: flex;
                margin: 1em;
            }

            .flex > div {
                background-color: lightblue;
                border: 1px solid;
                text-align: center;
                width: 50%;
            }

            .stretch {
                justify-content: stretch;
            }

            .flex-shrink {
                flex-shrink: 2;
            }

            .flex-shrink2 {
                flex-shrink: 3;
            }
        </style>
    </head>
    <body>
        <div class="flex">
            <div>Párrafo sin shrink 1</div>
            <div>Párrafo sin shrink 2</div>
            <div class="flex-shrink">flex-shrink: 2</div>
            <div>Párrafo sin shrink 4</div>
        </div>
        <div class="flex stretch">
            <div>Párrafo sin shrink 1</div>
            <div class="flex-shrink">flex-shrink: 2</div>
            <div>Párrafo sin shrink 3</div>
            <div class="flex-shrink2">flex-shrink: 3</div>
        </div>
    </body>
</html>